Polynomial: To Spectrum...

A command to compute the spectrum of the selected Polynomial objects.

## Settings

Nyquist frequency (Hz)
  defines the highest frequency in the spectrum. The lowest frequency of the spectrum will be 0 Hz.
Number of frequencies
  defines the number of frequencies in the spectrum.

## Algorithm

We calculate the spectrum by evaluating the polynomial at regularly spaced points zk on the upper half of a circle with radius r = 1 in the complex plane. The upperhalf of the unit circle, where k·φ is in the interval [0, π], will be mapped to frequencies [0, Nyquist frequency] in the spectrum.

The complex values zk (k=1..numberOfFrequencies) are defined as:

zk = r ei k φ, where,

φ = π / (numberOfFrequencies – 1) and r = 1.